org.bdgenomics.adam.apis.java

# JavaADAMPluginWithPredicate

#### abstract class JavaADAMPluginWithPredicate[Input, Output] extends JavaADAMPlugin[Input, Output]

Plugins that seek to apply a predicate on the input records should extend this class.

Linear Supertypes
JavaADAMPlugin[Input, Output], Serializable, Serializable, ADAMPlugin[Input, Output], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. JavaADAMPluginWithPredicate
2. JavaADAMPlugin
3. Serializable
4. Serializable
5. ADAMPlugin
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new JavaADAMPluginWithPredicate()

### Abstract Value Members

1. #### abstract def recordPredicate(record: Input): Boolean

   The predicate function to apply on each input record.

   The predicate function to apply on each input record.

   record

     The input record to push predicates down on.

   returns

     True if this should be filtered, else, false.

2. #### abstract def recordProjection: Schema

   The fields of the input record that should be populated.

   The fields of the input record that should be populated. If a projection should not be applied, this should be null. Code upstream will check for a null value, so this is safe.

   returns

     A schema describing the projection to apply to all records.

   Definition Classes
     JavaADAMPlugin

3. #### abstract def run(jsc: JavaSparkContext, recs: JavaRDD[Input], args: String): JavaRDD[Output]

   Run method to be implemented by plugin implementor.

   Run method to be implemented by plugin implementor.

   jsc

     Java Spark Context that this plugin is running inside of.

   recs

     Input RDD of records.

   args

     Command line arguments passed to this plugin.

   returns

     Output RDD to be saved to disk.

   Definition Classes
     JavaADAMPlugin

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### final def notify(): Unit

    Definition Classes
      AnyRef

16. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

17. #### final def predicate: Option[(Input) ⇒ Boolean]

    Definition Classes
      JavaADAMPluginWithPredicate → ADAMPlugin

18. #### final def projection: Option[Schema]

    Definition Classes
      JavaADAMPlugin → ADAMPlugin

19. #### final def run(sc: SparkContext, recs: RDD[Input], args: String): RDD[Output]

    Definition Classes
      JavaADAMPlugin → ADAMPlugin

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from JavaADAMPlugin[Input, Output]

### Inherited from Serializable

### Inherited from ADAMPlugin[Input, Output]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped